package org.project.item.weapons;

public class Dagger extends Weapon{

    private static final int CRIT_CHANCE = 30;
    private boolean isCrit = (int)(Math.random() * 100) < CRIT_CHANCE;

    public Dagger() {
        super("Dagger",8,15);
    }

    public boolean critical() {
        if (isCrit) System.out.println("Critical Hit");
        return isCrit;
    }
}
